Subject: Re: bug#766: 23.0.60; interesting warning during compilation

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Aug 2008 20:34:27 +0300

> Cc: [email-masked],
>  [email-masked]
> From: Peter Dyballa <[email-masked]>
> Date: Sat, 23 Aug 2008 16:58:20 +0200
> 
> Could it work to type-cast the variable first into a type wider than  
> 32 bits?

It could, if we could be sure that 64-bit wide integer types are
supported on all platforms.  I don't know if they are; does anyone
know?

(It looks like we use "long long" etc. vary sparingly and only on
platform-specific files, where there's no problem knowing whether it
is supported.)